> For the complete documentation index, see [llms.txt](https://docs.movesdk.com/move-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.movesdk.com/move-platform/backend/move-backend/move-state-api.md).

# MOVE State API

Returns a list of state changes over the given time range.

For the `STATUS` property the possible values are:

* `UNINITIALISED` - initial state
* `READY` -  after initialisation / setup or after stopAutomaticDetection ([Android](/move-platform/sdk/api-interface/android/services.md#stop-automatic-detection) / [iOS](/move-platform/sdk/api-interface/ios/services.md#stop-automatic-detection) / [React](/move-platform/sdk/api-interface/react-native/services.md#stop-automatic-detection) / [Flutter](/move-platform/sdk/api-interface/flutter/services.md#stop-automatic-detection))
* `RUNNING` -  after calling startAutomaticDetection ([Android](/move-platform/sdk/api-interface/android/services.md#start-automatic-detection) / [iOS](/move-platform/sdk/api-interface/ios/services.md#start-automatic-detection) / [React](/move-platform/sdk/api-interface/react-native/services.md#start-automatic-detection) / [Flutter](/move-platform/sdk/api-interface/flutter/services.md#start-automatic-detection))

## history

<mark style="color:blue;">`GET`</mark> `https://sdk.dolph.in/v20/state/history`

Returns a list of state changes over the given time range.

For the `STATUS` property the possible values are:

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | String |             |

#### Query Parameters

| Name                                        | Type    | Description                                                                                                          |
| ------------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------- |
| projectId<mark style="color:red;">\*</mark> | Integer |                                                                                                                      |
| userId<mark style="color:red;">\*</mark>    | String  |                                                                                                                      |
| properties                                  | String  | A comma separated list of state properties that shall be returned. At the moment the only possible value is 'STATUS' |
| from                                        | integer | A unix timestamp, start of query range.                                                                              |
| to                                          | integer | A unix timestamp, end of query range.                                                                                |
| limit                                       | integer | Maximum number of items to return, must be greater than or equal to zero.                                            |

#### Headers

| Name                                            | Type   | Description                       |
| ----------------------------------------------- | ------ | --------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | **Basic \<ProjectId>:\<API-Key>** |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "history": [
    {
      "data": {
        "STATUS": "RUNNING"
      },
      "timestamp": "2022-07-20T05:38:10.586Z"
    },
    {
      "data": {
        "STATUS": "READY"
      },
      "timestamp": "2022-07-20T04:38:10.586Z"
    },
    {
      "data": {
        "STATUS": "UNINITIALISED"
      },
      "timestamp": "2022-07-20T03:38:10.586Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.movesdk.com/move-platform/backend/move-backend/move-state-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
